Last Comment Bug 1202901 - Earlybird 42a2 email text from Outlook hidden by Lightning 4.4a2
: Earlybird 42a2 email text from Outlook hidden by Lightning 4.4a2
Status: RESOLVED FIXED
: regression
Product: Calendar
Classification: Client Software
Component: E-mail based Scheduling (iTIP/iMIP) (show other bugs)
: Lightning 4.4
: x86 Windows 8.1
-- normal (vote)
: 4.4
Assigned To: [:MakeMyDay]
:
:
Mentors:
Depends on:
Blocks: 533265
  Show dependency treegraph
 
Reported: 2015-09-08 16:02 PDT by Murray Treloar
Modified: 2015-09-22 12:53 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Bug 1202901 Body as all Body Parts visible (21.47 KB, text/plain)
2015-09-09 08:48 PDT, Murray Treloar
no flags Details
Bug1202901 Body as original html (21.47 KB, text/plain)
2015-09-09 08:50 PDT, Murray Treloar
no flags Details
FixHtmlConversion-V1.diff (2.00 KB, patch)
2015-09-09 12:52 PDT, [:MakeMyDay]
philipp: review+
philipp: approval‑calendar‑aurora+
philipp: approval‑calendar‑beta+
Details | Diff | Splinter Review

Description User image Murray Treloar 2015-09-08 16:02:34 PDT
User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:40.0) Gecko/20100101 Firefox/40.0
Build ID: 20150826023504

Steps to reproduce:

Disabled all addons - no bug; Re-enabled Lightning; Bug re-appeared


Actual results:

An invitation sent from an Outlook user showed meeting info when Lightning diabled; Message body is empty when Lightning is enabled


Expected results:

In TBird 38 (release version), the message body shows the invitation detail
Comment 1 User image Murray Treloar 2015-09-08 17:28:58 PDT
Additional info: Addon "Show All Body Parts" shows the message content, and adds 3 attachments, one is an *.ics file. Reverting to View Body as Original HTML reverts to blank message text and removes the attachments
Comment 2 User image [:MakeMyDay] 2015-09-08 23:00:00 PDT
Can you please check whether you have any messages in the error log (ctrl+shift+j) when getting displayed the empty body?
Comment 3 User image Murray Treloar 2015-09-09 03:13:12 PDT
No error messages or any other messages.  Is there a setting I need to turn "on" other than in the Error Console in order to collect errors/messages in the log? I have the "All" set on in the Error Console?
Comment 4 User image [:MakeMyDay] 2015-09-09 04:13:01 PDT
Please enable calendar.debug.log and calendar.debug.log.verbose in the config editor and try again. Can you please also attach the email in question?

And just to be sure: you're expiriencing the problem with Lightning only but no further addons, correct?
Comment 5 User image Murray Treloar 2015-09-09 07:56:00 PDT
Thanks for the tips - novice here.  And yes, Lightning as only addon causes the problem.  I do not see an "attach" option on this site. May I send you a PM at makemyday@gmx-topmail.de?
Comment 6 User image [:MakeMyDay] 2015-09-09 08:00:56 PDT
There is an add attachment link above. Please choose plain/text type when attaching.
Comment 7 User image [:MakeMyDay] 2015-09-09 08:15:28 PDT
If you want to provide it by mail, please make sure you send it as attachment.
Comment 8 User image Murray Treloar 2015-09-09 08:44:30 PDT
Sent by mail. My apologies for sending 5 messages when 1 or 2 would do.
Comment 9 User image Murray Treloar 2015-09-09 08:48:47 PDT
Created attachment 8658786 [details]
Bug 1202901 Body as all Body Parts visible
Comment 10 User image Murray Treloar 2015-09-09 08:50:35 PDT
Created attachment 8658787 [details]
Bug1202901 Body as original html
Comment 11 User image [:MakeMyDay] 2015-09-09 09:37:38 PDT
Thanks. Have you also checked the error lig after enabling debug mode?
Comment 12 User image Murray Treloar 2015-09-09 10:00:24 PDT
OK.  I have set:
calendar.debug.log           user set  boolean   true
calendar.debug.log.verbose   user set  boolean   true

And there are errors now.  How do I export the log file?  I assume you want it as an attachment here.
Comment 13 User image Stefan Sitter 2015-09-09 10:33:14 PDT
When I try to open the attached test case in Thunderbird 43.0a1 (20150909030202) I get the following errors: 

> Error: TypeError: getIdentityForHeader(...) is null
> Source File: chrome://messenger/content/mailWindowOverlay.js Line: 1189
> 
> Error: not well-formed
> Source Code:
> Join the meeting<https://www147.livemeeting.com/cc/_XML/cerner/join?id=FSN5MR&role=attend&pw=6D9J%5B%60c>
> 
> Error: [ltnMimeConverter] convertToHTML: SyntaxError: An invalid or illegal string was specified
> Source File: file:///[...]/components/lightningTextCalendarConverter.js Line: 85
Comment 14 User image Stefan Sitter 2015-09-09 10:39:11 PDT
lightningTextCalendarConverter.js was changed with Bug 533265 in Lightning 4.4, maybe this a regression from this check-in. Maybe problem like not escaping control characters (like "<" or ">") when entering the message content into the new html structure and therefore causing some invalid html syntax.
Comment 15 User image Stefan Sitter 2015-09-09 11:08:26 PDT
The error is thrown in function field() in ltnInvitationUtils.jsm when called for "description" field when trying to store the result of linkConverter.scanHTML() to content.innerHTML.
Comment 16 User image Stefan Sitter 2015-09-09 11:22:33 PDT
Looks like the problem could be fixed by calling linkConverter.scanTXT(aContentText, Components.interfaces.mozITXTToHTMLConv.kEntities) first to escape "<", ">" and "&" before passing the result to linkConverter.scanHTML().
Comment 17 User image [:MakeMyDay] 2015-09-09 12:52:10 PDT
Created attachment 8658873 [details] [diff] [review]
FixHtmlConversion-V1.diff

Thanks Stefan for already looking into this - your proposed solution is the appropriate approach to fix the issue.
Comment 18 User image Stefan Sitter 2015-09-09 12:55:03 PDT
Do we already have a unit test for ltnInvitationUtils.jsm where we could add this testcase? If not, could we create one? :)
Comment 19 User image [:MakeMyDay] 2015-09-10 00:27:26 PDT
Actually, we haven't. I'm currently working on another patch modifying functionality of lrnInvitationUtils.jsm and will consider to have a unit test for the same starting with that patch.
Comment 20 User image Philipp Kewisch [:Fallen] 2015-09-19 02:54:17 PDT
I'd prefer a unit test for this, but I understand that writing it won't be simple so I'll leave that up to you.
Comment 21 User image [:MakeMyDay] 2015-09-20 06:33:55 PDT
I plan to start adding unit tests for ltnbInvitationUtils.jsm with bug 1174511, so I leave this patch without.
Comment 22 User image aleth [:aleth] 2015-09-21 15:01:45 PDT
https://hg.mozilla.org/comm-central/rev/5e95881b6b2511415a53c349b65c08513979f582
Bug 1202901 - Earlybird 42a2 email text from Outlook hidden by Lightning 4.4a2. r=philipp a=aleth
Comment 23 User image [:MakeMyDay] 2015-09-21 23:26:59 PDT
Comment on attachment 8658873 [details] [diff] [review]
FixHtmlConversion-V1.diff

After the latest merge, this patch needs to go to beta as well.
Comment 24 User image Philipp Kewisch [:Fallen] 2015-09-22 12:47:14 PDT
Backported to releases/comm-beta changeset b508a45a0ba5
Comment 25 User image Philipp Kewisch [:Fallen] 2015-09-22 12:53:44 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/a23b24584182

Note You need to log in before you can comment on or make changes to this bug.